Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantMethodref

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantCP
                  |
                  +--org.apache.bcel.classfile.ConstantMethodref

All Implemented Interfaces:
  java.lang.Cloneable, Node, java.io.Serializable

public final class ConstantMethodref
extends ConstantCP

This class represents a constant pool reference to a method.

Version:
  $Id: ConstantMethodref.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.ConstantCP
`class_index, name_and_type_index`

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantMethodref(ConstantMethodref c)` Initialize from another object.
`ConstantMethodref(int class_index, int name_and_type_index)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.

Methods inherited from class org.apache.bcel.classfile.ConstantCP
`dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantMethodref

    public ConstantMethodref(ConstantMethodref c)

  Initialize from another object.

### ConstantMethodref

    public ConstantMethodref(int class_index,
                             int name_and_type_index)

Parameters:
  `class_index` - Reference to the class containing the method
  `name_and_type_index` - and the method signature

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.